Get Last Seen Hdmi Port Configuration

GET https://www.expedy.fr/api/v2/devices/{device_uid}/hdmi/conf

This endpoint allows you to get the device's last seen hdmi configuration, with infos about any display connected (1 or 2, depending on your device model), in json format.

Authentication

This endpoint requires an Authorization header with a valid API key.

Path Parameters

Parameter Type Required Description
device_uid string Yes The Device's unique id, as found in your Expedy account

Response 200

OK

Parameter Type Required Description
last_ping string No
hdmi_conf array No

hdmi_conf properties:

Parameter Type Required Description
hdmi_port string No
display_id string No
display_name string No
display_model string No
display_state string No
display_power string No
display_dim string No
display_resolution string No
display_fps string No
display_capabilities array No

display_capabilities properties:

| Parameter | Type | Required | Description |
|-----------|------|----------|-------------|
| `rez` | `string` | No |  |
| `freqs` | `array` | No |  |

**`freqs` properties:**

  | Parameter | Type | Required | Description |
  |-----------|------|----------|-------------|
  | `freq` | `string` | No |  |

| `selected` | `string` | No |  |

Response Example:

{
  "last_ping": "1657236661",
  "hdmi_conf": [
    {
      "hdmi_port": "1",
      "display_id": "1",
      "display_name": "Main office screen1",
      "display_model": "SAM-SMB2230N",
      "display_state": "connected",
      "display_power": "1",
      "display_dim": "477mmx268mm",
      "display_resolution": "1920x1080",
      "display_fps": "60.00",
      "display_capabilities": [
        {
          "rez": "1920x1080",
          "freqs": [
            {
              "freq": "60.00*"
            },
            {
              "freq": "50.00"
            },
            {
              "freq": "59.94"
            }
          ],
          "selected": "60.00*"
        },
        {
          "rez": "1600x1200",
          "freqs": [
            {
              "freq": "60.00"
            }
          ],
          "selected": ""
        },
        {
          "rez": "1680x1050",
          "freqs": [
            {
              "freq": "59.88"
            }
          ],
          "selected": ""
        },
        {
          "rez": "1280x1024",
          "freqs": [
            {
              "freq": "75.02"
            },
            {
              "freq": "60.02"
            }
          ],
          "selected": ""
        },
        {
          "rez": "1440x900",
          "freqs": [
            {
              "freq": "74.98"
            },
            {
              "freq": "59.90"
            }
          ],
          "selected": ""
        },
        {
          "rez": "1280x960",
          "freqs": [
            {
              "freq": "60.00"
            }
          ],
          "selected": ""
        },
        {
          "rez": "1280x800",
          "freqs": [
            {
              "freq": "59.91"
            }
          ],
          "selected": ""
        },
        {
          "rez": "1152x864",
          "freqs": [
            {
              "freq": "75.00"
            }
          ],
          "selected": ""
        },
        {
          "rez": "1280x720",
          "freqs": [
            {
              "freq": "60.00"
            },
            {
              "freq": "50.00"
            },
            {
              "freq": "59.94"
            }
          ],
          "selected": ""
        },
        {
          "rez": "1024x768",
          "freqs": [
            {
              "freq": "75.03"
            },
            {
              "freq": "70.07"
            },
            {
              "freq": "60.00"
            }
          ],
          "selected": ""
        },
        {
          "rez": "832x624",
          "freqs": [
            {
              "freq": "74.55"
            }
          ],
          "selected": ""
        },
        {
          "rez": "800x600",
          "freqs": [
            {
              "freq": "72.19"
            },
            {
              "freq": "75.00"
            },
            {
              "freq": "60.32"
            },
            {
              "freq": "56.25"
            }
          ],
          "selected": ""
        },
        {
          "rez": "720x480",
          "freqs": [
            {
              "freq": "60.00"
            },
            {
              "freq": "59.94"
            }
          ],
          "selected": ""
        },
        {
          "rez": "640x480",
          "freqs": [
            {
              "freq": "75.00"
            },
            {
              "freq": "72.81"
            },
            {
              "freq": "66.67"
            },
            {
              "freq": "60.00"
            },
            {
              "freq": "59.94"
            }
          ],
          "selected": ""
        },
        {
          "rez": "720x400",
          "freqs": [
            {
              "freq": "70.08"
            }
          ],
          "selected": ""
        }
      ]
    },
    {
      "hdmi_port": "2",
      "display_id": "2",
      "display_name": "Second office Screen",
      "display_model": "none",
      "display_state": "unknown",
      "display_power": "1",
      "display_dim": "0mmx0mm",
      "display_resolution": "1024x768",
      "display_fps": "60.00",
      "display_capabilities": [
        {
          "rez": "1024x768",
          "freqs": [
            {
              "freq": "60.00*"
            }
          ],
          "selected": "60.00*"
        },
        {
          "rez": "800x600",
          "freqs": [
            {
              "freq": "60.32"
            },
            {
              "freq": "56.25"
            }
          ],
          "selected": ""
        },
        {
          "rez": "848x480",
          "freqs": [
            {
              "freq": "60.00"
            }
          ],
          "selected": ""
        },
        {
          "rez": "640x480",
          "freqs": [
            {
              "freq": "59.94"
            }
          ],
          "selected": ""
        }
      ]
    }
  ]
}